# Single-Cell Portal
[![Build status](https://img.shields.io/circleci/build/github/broadinstitute/single_cell_portal.svg)](https://circleci.com/gh/broadinstitute/single_cell_portal)

Hello and thank you for using the Single-Cell Portal. We hope the portal will contribute to open science by enabling visualizing and sharing scientific insight and data surrounding single-cell RNA-Seq.

Thank you for being a part of this open science effort!

## Site URL
To visit the portal please go to: https://portals.broadinstitute.org/single_cell

## Tutorials
For tutorials and descriptions of files please go to: https://github.com/broadinstitute/single_cell_portal/wiki

## Convenience Scripts
Scripts to help when working with data files for the portal are made available in this repo and require Python 3. Using these scripts to verify the format of input files can be found at https://github.com/broadinstitute/single_cell_portal/wiki/File-Definitions.

To get set up to use these scripts:
```
git clone https://github.com/broadinstitute/single_cell_portal.git
cd single_cell_portal
python3 -m venv env --copies
source env/bin/activate
pip install -r requirements.txt
```

Then [install and initialize Google Cloud SDK](https://cloud.google.com/sdk/docs/quickstarts) on your machine; many scripts here require it.

## Reporting Bugs and Improvements
To report a bug or suggest an improvement please create a new issue at: https://github.com/broadinstitute/single_cell_portal/issues

## Need Help?

Email us at single_cell_portal@broadinstitute.org

Happy Science!!!

The Single-Cell Portal Team
